# Uses of Class
com.databend.jdbc.DatabendConnection

Packages that use DatabendConnection
Package
Description
com.databend.jdbc

## Uses of DatabendConnection in com.databend.jdbc

Methods in com.databend.jdbc that return DatabendConnection
Modifier and Type
Method
Description
`protected final DatabendConnection`
DatabendStatement.`connection()`
Methods in com.databend.jdbc that return types with arguments of type DatabendConnection
Modifier and Type
Method
Description
`protected final Optional<DatabendConnection>`
DatabendStatement.`optionalConnection()`
Methods in com.databend.jdbc with parameters of type DatabendConnection
Modifier and Type
Method
Description
`static void`
PresignContext.`createStageIfNotExists(DatabendConnection connection, String stageName)`
`static void`
PresignContext.`dropStageIfExists(DatabendConnection connection, String stageName)`
`static PresignContext`
PresignContext.`getPresignContext(DatabendConnection connection, com.databend.jdbc.PresignContext.PresignMethod method, String stageName, String fileName)`
Constructors in com.databend.jdbc with parameters of type DatabendConnection
Modifier
Constructor
Description
``
`DatabendDatabaseMetaData(DatabendConnection connection)`